STENCILMASKSEPARATE(3CgFX)

NAME
StencilMaskSeparate - 3D API stencil mask separate

USAGE
StencilMaskSeparate = int2(face, mask)

VALID ENUMERANTS
face: Front, Back, FrontAndBack mask: integer value

DESCRIPTION
Specify front and/or back stencil plane write mask. See the OpenGL glStencilMaskSeparate manual page for details. See the D3DRS_STENCILMASK render state description for DirectX 9.

The standard reset callback sets the StencilMaskSeparate state to int2(FrontAndBack, ~0).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 2.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ClearStencil, StencilEnable, StencilFail, StencilFunc, StencilFuncSeparate, StencilMask, StencilOp, StencilOpSeparate, StencilPass, StencilRef, StencilTestEnable, StencilTestTwoSideEnable, StencilWriteMask, StencilZFail, TwoSidedStencilMode